Bug 466834 - i18n: some missing files from POTFILES.in
i18n: some missing files from POTFILES.in
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 436824
  Show dependency treegraph
 
Reported: 2008-10-13 18:45 EDT by Thomas Spura
Modified: 2009-01-08 07:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 07:03:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2008-10-13 18:45:54 EDT
Description of problem:
Some source files aren't used for string extraction. The developer will
probably want to know about this.

It's on https://translate.fedoraproject.org/module/rpm

Files missing:
    * lib/rpmtd.c
    * python/rpmts-py.c
    * rpmio/rpmfileutil.c
    * tools/dump.c
    * tools/dumpdb.c
    * tools/rpminject.c
    * tools/rpmsort.c

Please correct POTFILES.in and/or POTFILES.skip

How reproducible:
always

Steps to Reproduce:
1. go to https://translate.fedoraproject.org/module/rpm
2. see warning 'missing files'


Actual results:
warning appears

Expected results:
should not

Additional info:

2008-10-21   Fedora 10 Translation deadline
Comment 1 Bug Zapper 2008-11-25 22:50:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Panu Matilainen 2009-01-08 07:03:00 EST
Hum, forgotten to update the status on this... the actual missing files have been added to POTFILES.in a good while ago (in rpm 4.6.0-rc1), the stuff in tools/ is not relevant at all as they don't even get built normally. The unused tool messages are no longer marked for translation in upstream as of now, 4.6.0 still has them but feel free to ignore...

Note You need to log in before you can comment on or make changes to this bug.